efi booting

Questions about other topics & discussing non-support related topics related to LMDE 3.
Forum rules
Before you post please read how to get help
Post Reply
mhwelsh
Level 2
Level 2
Posts: 69
Joined: Sun Dec 27, 2009 12:44 pm

efi booting

Post by mhwelsh » Wed Jun 19, 2019 10:43 am

Has anybody run LMDE3 with efi booting?

martin welsh

User avatar
ChrisMW
Level 1
Level 1
Posts: 37
Joined: Sun May 17, 2015 6:02 am

Re: efi booting

Post by ChrisMW » Wed Aug 28, 2019 2:40 am

I have, but it was not easy. Although this is probably the worst way to do it, I was unable to coax any installation into working correctly.

Not only do I have EFI boot, I also want to run with LVM volumes as well.

Under the Debian installer, this was a no-brainer, I just followed the screens, provided the answers and it came up running well. LMDE however, would not, even when I put in the exact same partitioning, whatever I did, it failed. So in the end, I installed Debian 9, and then installed LMDE 3 in a Virtualbox client, after which I pulled out the list of packages, the apt config and applied that to the host (running Debian 9). Then the usual apt commando's transformed Debian 9 into LMDE 3, after which I added the backports, upgraded the kernel and Mate desktop (and other stuff).

Has been rock solid since.

I did see others having issues with EFI, during the beta stages, but although I did report it, I'm not sure if that was ever fixed. Compared to LMDE 2, LMDE 3 is much more a standard Debian with cream on top, something which I really like, currently I have one laptop running LMDE 3 on top of Debian Buster, and it is working well so far, but not ready yet to subject my main laptop to the same treatment. With Buster as your base, the biggest concern is that python 3.5 has been moved to python 3.7 and that causes some niggles. So I'm hoping they will move to Buster soon, I think LMDE would be fine if it followed Debian stable within a couple of months. With LMDE 2 I ran into problems with loads of libraries becoming outdated, software requiring newer versions and me not able to install them, so for a time, I moved to Debian proper. Based on my experience, the LMDE 3 gap with Buster is quite small, so I'm hoping for a LMDE 4 in a much shorter timeframe than LMDE 3 took after 2. Maybe I should donate more .... :wink: But having LMDE at oldstable is just too conservative IMO.

Post Reply

Return to “Other Topics & Open Discussion”